Loading...
Searching...
No Matches
Class List
Here are the classes, structs, unions and interfaces with brief descriptions:

opencc |
BinaryDict | Binary dictionary for faster deserialization
ConfigLoadOptions |
Config | Configuration loader
ConfigBasedConverter | A `Converter` produced by loading a JSON config that includes a `normalization` pre-pass
Conversion | Single-dictionary phrase conversion
ConversionChain | An ordered sequence of `Conversion` objects applied to pre-segmented text
ConversionInspectionStage | Result of a single conversion stage during inspection
ConversionInspectionResult | Full inspection result returned by Converter::Inspect()
Converter | Abstract base for full-text converters
ConverterStream |
DartsDict | Darts dictionary
PrefixMatchView | Result of a PrefixMatch fast-path lookup
Dict | Abstract class of dictionary
DictEntry | Key-values pair entry
NoValueDictEntry |
SingleValueDictEntry |
StrSingleValueDictEntry |
MultiValueDictEntry |
StrMultiValueDictEntry |
DictEntryFactory |
DictGroup | Group of dictionaries
UnionDictGroup | Group of dictionaries with union prefix-match semantics
DictGroupTestBase |
Exception |
FileNotFound |
FileNotWritable |
InvalidFormat |
InvalidTextDictionary |
InvalidUTF8 |
ShouldNotBeHere |
Lexicon | Storage of all entries
MarisaDict | Darts dictionary
MaxMatchSegmentation | Implementation of maximal match segmentation
Optional | A class that wraps type T into a nullable type
Optional< T * > | Specialization of Optional for pointers
PhraseExtract |
Signals |
PipelineConverter | A `Converter` that passes text through a sequence of `Converter` stages in order, feeding the output of each stage as input to the next
PrefixMatch |
Match |
ResourceProvider |
Resource |
FilesystemResourceProvider |
ZipResourceProvider |
Segmentation | Abstract base for text segmentation
Segments | Segmented text
iterator |
SerializableDict | Serializable dictionary interface
SerializedValues | Binary format for dictionary values serialization
SimpleConverter | A high-level converter
SingleStageConverter | A `Converter` that performs one segmentation pass followed by one `ConversionChain`
TextDict | Text dictionary
TextDictTestBase |
UTF8StringSliceBase |
Hasher |
UTF8Util | UTF8 std::string utilities
JiebaSegmentation |
CmdLineOutput |
Exception |
opencc_error_t |
opencc_kv_pair_t |
opencc_segment_length_array_t |
opencc_segmentation_create_args_t |
opencc_segmentation_plugin_v2 |
opencc_segmentation_segment_args_t |
PhraseExtract |
Signals |